{% extends 'person_management/person/person.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('person_management/person/contact/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('person_management/person/contact/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-3 flex-wrap">
        <a href="{{ path('person_management_contact_overview', {'personId': person.id}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Kontakt, {{ contact.getName() }}</span>
        {% if is_granted('edit', contact) == true %}
            {{ form_widget(contactForm.save, {'label': 'SPEICHERN', 'id': contactForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}
        {% if is_granted('delete', contact) == true %}
            {% include 'component/mdc_context_menu_component.html.twig' with {
                'id': 'contact',
                'listItems': [
                    {
                        'label': 'Ansprechperson löschen',
                        'url': path('person_management_contact_delete', {'personId': person.getId(), 'contactId': contact.getId()}),
                        'icon': 'delete_forever'
                    },
                ]
            } only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-4 mb-4">
            {% if is_granted('edit', contact) == true %}
                {{ form_start(contactForm, {'attr': {'id': contactForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'person_management/form/contact/contact_form.html.twig' with {'form': contactForm} only %}
            {% if is_granted('edit', contact) == true %}
                {{ form_row(contactForm._token) }}
                {{ form_end(contactForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
